View Issue Details

IDProjectCategoryView StatusLast Update
00255792.x IDE BugsUIPublic2018-08-01 14:57
ReporterShaunJSAssigned ToAlan Savage 
PriorityMediumSeverityD - MinorReproducibility100%
Status ClosedResolutionFixed 
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0025579: UI: Cannot press enter to dismiss/confirm most dialogs
DescriptionYou can press enter to submit the YoYo Account login form on start up but you cannot press enter to dismiss the dialogue shown when authentication fails and must manually click Retry. Especially painful on laptops.


(The login dialog is the only dialog / one of very few dialogs which have used a different system which does support pressing Enter.)
Steps To Reproduce1. Attempt to login with incorrect details.
2. When presented with the appropriate error, press enter.
3. Nothing will happen.

1. Start GMS2 and open/create any project.
2. Open Game Options.
3. Try to press Enter to OK the dialog.
4. Observe nothing happens.

1. Start GMS2 and open Preferences.
2. Press Enter to OK the dialog.
3. Observe nothing happens.

1. Start GMS2 and open/create any project.
2. Open Generate Project Images.
3. Try to press Enter to OK the dialog.
4. Observe nothing happens.
Tags221
2.x IDE Found In2.0.4.65
2.x Runtime Found In2.0.4.42
2.x IDE Verified In9.2.1.1467
2.x Runtime Verified In9.9.1.1076

Activities

Dan

2017-02-08 10:16

Adminstrator   ~0051499

Is actually a more fundamental issue and affects all similar dialogues - the user login dialogue is a special case and the only one in which this doesn't happen.

We need support for more than one active gadget so the login box can be handled properly, but we also need support for setting the default element in focus on a given dialogue so all other dialogues can be fixed.

Dan

2018-06-15 09:45

Adminstrator   ~0060371

Note from Claire: Windows has an accept button ID which can be used to set which button is used with the Enter key. Speak to Claire for more info.

Matthew McInnes

2018-06-29 15:46

Developer   ~0060756

Closing. Verified as fixed in:

IDE v9.2.1.1467 Runtime v9.9.1.1076